---
updatedAt: 2026-03-25T10:17:14.000Z
agentTools:
  projectIndex: https://docs.ol-hub.com/llms.txt
---

# update existing connection by id

The **update existing connection by id** API sends a PUT request to modify a connection.

**Prerequisites**

* The caller must provide a connection **id**.

**Authorization**

* API key (via the `X-API-KEY` header).

### Parameters

<Accordion title="Path Parameters">
  | Field name | Description   | Format |
  | :--------- | :------------ | :----- |
  | id         | Connection ID | UUID   |
</Accordion>

<Accordion title="Request Body">
  | Field name  | Description                               | Format |
  | :---------- | :---------------------------------------- | :----- |
  | name        | The name of the connection                | String |
  | connector   | The type of connector                     | String |
  | description | Connection description                    | String |
  | profiles    | [Connection profiles](#profile-structure) | Map    |
  | modifiedAt  | The date and time of modification         | String |
  | modifiedBy  | Modified by                               | String |
  | createdAt   | The date and time of creation             | String |
  | createdBy   | Created by                                | String |
</Accordion>

<Accordion title="Response Body">
  | Field name  | Description                               | Format |
  | :---------- | :---------------------------------------- | :----- |
  | id          | Connection ID                             | UUID   |
  | name        | The name of the connection                | String |
  | connector   | The type of connector                     | String |
  | description | Connector description                     | String |
  | profiles    | [Connection profiles](#profile-structure) | Map    |
  | modifiedAt  | The date and time of modification         | String |
  | createdAt   | The date and time of creation             | String |
  | createdBy   | Created by                                | String |
</Accordion>

<Accordion title="Profile Structure">
  <div id="profile-structure">
    | Field name   | Description    | Format      |
    | :----------- | :------------- | :---------- |
    | profileName  | Key            | String      |
    | profileValue | Profile config | JsonElement |
  </div>
</Accordion>

### Examples

<Tabs>
  <Tab title="mainframe-rpc">
    ```json Request
    {
      "name": "connection-mainframe-rpc",
      "connector": "mainFrameRpc",
      "description": "example mainframe-rpc connection",
      "profiles": {
        "$default": {
          "baseUrl": "http://cics.example.internal",
          "uriMap": "/example/latest",
          "port": "12345",
          "codePage": "cp037"
        }
      },
      "modifiedBy": "John Doe",
      "modifiedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "John Doe",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
    ```
    ```json Response
    {
      "id": "00000000-0000-0000-0000-000000000001",
      "name": "connection-mainframe-rpc",
      "connector": "mainFrameRpc",
      "description": "example mainframe-rpc connection",
      "profiles": {
        "$default": {
          "baseUrl": "http://cics.example.internal",
          "uriMap": "/example/latest",
          "port": "12345",
          "codePage": "cp037"
        }
      },
      "modifiedAt": "2026-01-01T00:00:00.000000000Z",
      "createdAt": "2026-01-01T00:00:00.000000000Z",
      "createdBy": "John Doe"
    }
    ```
  </Tab>

  <Tab title="as400-rpc">
    ```json Request
    {
      "name": "connection-as400-rpc",
      "connector": "as400Rpc",
      "description": "example as400-rpc connection",
      "profiles": {
        "$default": {
          "codePage": "037",
          "host": "ibmi.example.internal",
          "user": "example-user",
          "password": "example-password"
        }
      },
      "modifiedBy": "John Doe",
      "modifiedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "John Doe",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
    ```
    ```json Response
    {
      "id": "00000000-0000-0000-0000-000000000002",
      "name": "connection-as400-rpc",
      "connector": "as400Rpc",
      "description": "example as400-rpc connection",
      "profiles": {
        "$default": {
          "codePage": "037",
          "host": "ibmi.example.internal",
          "user": "example-user",
          "password": "'{cipher}a1b2c3d4e5f67890'"
        }
      },
      "modifiedAt": "2026-01-01T00:00:00.000000000Z",
      "createdAt": "2026-01-01T00:00:00.000000000Z",
      "createdBy": "John Doe"
    }
    ```
  </Tab>

  <Tab title="ims-rpc">
    ```json Request
    {
      "name": "connection-ims-rpc",
      "connector": "imsRpc",
      "description": "example ims-rpc connection",
      "profiles": {
        "$default": {
          "host": "cics.example.internal",
          "username": "example-username",
          "password": "example-password",
          "groupName": "GROUP1",
          "dataStoreName": "IVP1",
          "port": 9999,
          "codePage": "cp037",
          "sslProperties": {
            "isSslEnabled": false
          },
          "transactionProperties": {
            "commitMode": "SEND_AND_COMMIT"
          }
        }
      },
      "modifiedBy": "John Doe",
      "modifiedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "John Doe",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
    ```
    ```json Response
    {
      "id": "00000000-0000-0000-0000-000000000003",
      "name": "connection-ims-rpc",
      "connector": "imsRpc",
      "description": "example ims-rpc connection",
      "profiles": {
        "$default": {
          "host": "cics.example.internal",
          "username": "example-username",
          "password": "'{cipher}a1b2c3d4e5f67890'",
          "groupName": "GROUP1",
          "dataStoreName": "IVP1",
          "port": 9999,
          "codePage": "cp037",
          "sslProperties": {
            "isSslEnabled": false
          },
          "transactionProperties": {
            "commitMode": "SEND_AND_COMMIT"
          }
        }
      },
      "modifiedAt": "2026-01-01T00:00:00.000000000Z",
      "createdAt": "2026-01-01T00:00:00.000000000Z",
      "createdBy": "John Doe"
    }
    ```
  </Tab>
</Tabs>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "public-apis-backend"
  },
  "servers": [
    {
      "url": "https://api.ol-hub.com/backend"
    }
  ],
  "paths": {
    "/api/v1/connections/{id}": {
      "put": {
        "description": "",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "examples": {
                  "OK - Mainframe RPC": {
                    "summary": "OK - Mainframe RPC",
                    "value": {
                      "id": "00000000-0000-0000-0000-000000000001",
                      "name": "connection-mainframe-rpc",
                      "connector": "mainFrameRpc",
                      "description": "example mainframe-rpc connection",
                      "profiles": {
                        "$default": {
                          "baseUrl": "http://cics.example.internal",
                          "uriMap": "/example/latest",
                          "port": "12345",
                          "codePage": "cp037"
                        }
                      },
                      "modifiedAt": "2026-01-01T00:00:00.000000000Z",
                      "createdAt": "2026-01-01T00:00:00.000000000Z",
                      "createdBy": "John Doe"
                    }
                  },
                  "OK - AS400 RPC": {
                    "summary": "OK - AS400 RPC",
                    "value": {
                      "id": "00000000-0000-0000-0000-000000000002",
                      "name": "connection-as400-rpc",
                      "connector": "as400Rpc",
                      "description": "example as400-rpc connection",
                      "profiles": {
                        "$default": {
                          "codePage": "037",
                          "host": "ibmi.example.internal",
                          "user": "example-user",
                          "password": "'{cipher}a1b2c3d4e5f67890'"
                        }
                      },
                      "modifiedAt": "2026-01-01T00:00:00.000000000Z",
                      "createdAt": "2026-01-01T00:00:00.000000000Z",
                      "createdBy": "John Doe"
                    }
                  },
                  "OK - IMS RPC": {
                    "summary": "OK - IMS RPC",
                    "value": {
                      "id": "00000000-0000-0000-0000-000000000003",
                      "name": "connection-ims-rpc",
                      "connector": "imsRpc",
                      "description": "example ims-rpc connection",
                      "profiles": {
                        "$default": {
                          "host": "cics.example.internal",
                          "username": "example-username",
                          "password": "'{cipher}a1b2c3d4e5f67890'",
                          "groupName": "GROUP1",
                          "dataStoreName": "IVP1",
                          "port": 9999,
                          "codePage": "cp037",
                          "sslProperties": {
                            "isSslEnabled": false
                          },
                          "transactionProperties": {
                            "commitMode": "SEND_AND_COMMIT"
                          }
                        }
                      },
                      "modifiedAt": "2026-01-01T00:00:00.000000000Z",
                      "createdAt": "2026-01-01T00:00:00.000000000Z",
                      "createdBy": "John Doe"
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "00000000-0000-0000-0000-000000000001"
                    },
                    "name": {
                      "type": "string",
                      "example": "connection-mainframe-rpc"
                    },
                    "connector": {
                      "type": "string",
                      "example": "mainFrameRpc"
                    },
                    "description": {
                      "type": "string",
                      "example": "example mainframe-rpc connection"
                    },
                    "profiles": {
                      "type": "object",
                      "properties": {
                        "$default": {
                          "type": "object",
                          "properties": {
                            "<property name>": {
                              "type": "string",
                              "example": "cp037",
                              "default": "<fill in property value>"
                            }
                          }
                        }
                      }
                    },
                    "modifiedAt": {
                      "type": "string",
                      "example": "2026-01-01T00:00:00.000000000Z",
                      "format": "date-time"
                    },
                    "createdAt": {
                      "type": "string",
                      "example": "2026-01-01T00:00:00.000000000Z",
                      "format": "date-time"
                    },
                    "createdBy": {
                      "type": "string",
                      "example": "John Doe"
                    }
                  }
                }
              }
            }
          }
        },
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "operationId": "put_api-v1-connections-id",
        "security": [
          {
            "x-api-key": []
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string"
                  },
                  "connector": {
                    "type": "string"
                  },
                  "description": {
                    "type": "string"
                  },
                  "profiles": {
                    "type": "object",
                    "properties": {
                      "$default": {
                        "type": "object",
                        "properties": {
                          "<property name>": {
                            "type": "string",
                            "default": "<fill in property value>"
                          }
                        }
                      }
                    }
                  },
                  "modifiedBy": {
                    "type": "string"
                  },
                  "modifiedAt": {
                    "type": "string",
                    "format": "date-time"
                  },
                  "createdBy": {
                    "type": "string"
                  },
                  "createdAt": {
                    "type": "string",
                    "format": "date-time"
                  }
                }
              },
              "examples": {
                "Mainframe RPC - Example": {
                  "summary": "Mainframe RPC - Example",
                  "value": {
                    "name": "connection-mainframe-rpc",
                    "connector": "mainFrameRpc",
                    "description": "example mainframe-rpc connection",
                    "profiles": {
                      "$default": {
                        "baseUrl": "http://cics.example.internal",
                        "uriMap": "/example/latest",
                        "port": "12345",
                        "codePage": "cp037"
                      }
                    },
                    "modifiedBy": "John Doe",
                    "modifiedAt": "2026-01-01T00:00:00.000Z",
                    "createdBy": "John Doe",
                    "createdAt": "2026-01-01T00:00:00.000Z"
                  }
                },
                "AS400 RPC - Example": {
                  "summary": "AS400 RPC - Example",
                  "value": {
                    "name": "connection-as400-rpc",
                    "connector": "as400Rpc",
                    "description": "example as400-rpc connection",
                    "profiles": {
                      "$default": {
                        "codePage": "037",
                        "host": "ibmi.example.internal",
                        "user": "example-user",
                        "password": "example-password"
                      }
                    },
                    "modifiedBy": "John Doe",
                    "modifiedAt": "2026-01-01T00:00:00.000Z",
                    "createdBy": "John Doe",
                    "createdAt": "2026-01-01T00:00:00.000Z"
                  }
                },
                "IMS RPC - Example": {
                  "summary": "IMS RPC - Example",
                  "value": {
                    "name": "connection-ims-rpc",
                    "connector": "imsRpc",
                    "description": "example ims-rpc connection",
                    "profiles": {
                      "$default": {
                        "host": "cics.example.internal",
                        "username": "example-username",
                        "password": "example-password",
                        "groupName": "GROUP1",
                        "dataStoreName": "IVP1",
                        "port": 9999,
                        "codePage": "cp037",
                        "sslProperties": {
                          "isSslEnabled": false
                        },
                        "transactionProperties": {
                          "commitMode": "SEND_AND_COMMIT"
                        }
                      }
                    },
                    "modifiedBy": "John Doe",
                    "modifiedAt": "2026-01-01T00:00:00.000Z",
                    "createdBy": "John Doe",
                    "createdAt": "2026-01-01T00:00:00.000Z"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "x-api-key": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```